<pre et type="text/javascript">
/*
*
*   pre 扩展 1.0.0.1 
*   Release date: 
*   Author      : 半条虫(466814195)
*   Keywords    : Etsoftware 半条虫(466814195) rimke 39doo 39度
*   Description : 本脚本功能由EtSoftWare团队研发，仅供学习不得用于商业用途。
*   Blog        : http://rimke.blog.163.com/        
*   Website     : http://www.39doo.com/
*   Mail        : rimke@163.com
*   Copyright   : Power By Etsoftware
*
*/

var data = [1, 2, 3, 4, 5];
//把Array的某些元素过滤掉，然后返回剩下的元素。
Array.prototype.filter.call(data, function(v, i, arr){
    // v 值 ; i 为下标; arr 数据本身
    return v>2;
});
/*
* 运行结果：(3) [3, 4, 5]
*/


var data = [
    {k:1, v:11}
    ,{k:2, v:22}
    ,{k:3, v:33}
    ,{k:4, v:44}
    ,{k:5, v:55}
    ,{k:6, v:66}
];
//创建一个新数组
Array.prototype.map.call(data, function(v, i, arr){
    // v 值 ; i 为下标; arr 数据本身
    return v.v;
});
/*
* 运行结果：(6) [11, 22, 33, 44, 55, 66]
*/

//Array.slice(start,end),包括开始，不包括结束，返回一个新数组
Array.prototype.slice.call(data, function(v, v2, ...n){
    
})


</pre>
<pre et type="text/php" id="hprephp">
&lt;?php
use Etsoftware\Email\Smtp;
use Etsoftware\Email\Imap;


$smtp = new Smtp("smtp.163.com", "22", "rimke", "****", true);
$ret = $smtp->sendMail($to, "Rimke&lt;rimke@163.com&gt;", "this is subject", "body", $type);



$pop = new Imap("pop.163.com", "22", "rimke", "***", "rimke@163.com", 'pop', false);
$ret = $pop->receive();

class testMail
{
    public $mail = null;    
    private $userName = null;    
    function main()
    {
        $data = [];
        array_push($data, 100);
    }
}
</pre>

<pre et type="text/css">
.ET_CODE{
    background: #282923; 
    color:#f3f3f3; 
    overflow: auto; 
    display: block; 
    border-color: #ff0055;
    border-color: rgb(100,100,200);
    padding: 0.05rem;
}
ul{display:none}
body{}
</pre>
